Stop the session
curl --request POST \
--url https://{host}/api/sessions/{session}/stop \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/sessions/{session}/stop"
headers = {"apikey": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/sessions/{session}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Session paused successfully",
"session": "my-session"
}
Sessions
Stop Session
Pause an active WhatsApp session
POST
/
api
/
sessions
/
{session}
/
stop
Stop the session
Description
This endpoint pauses an active WhatsApp session. The session will not be disconnected from WhatsApp, only temporarily paused. To disconnect completely, use the logout endpoint.URL Parameters
string
required
Unique session ID to be paused
{
"success": true,
"message": "Session paused successfully",
"session": "my-session"
}
Status Codes
200- Session paused successfully400- Invalid parameters404- Session not found409- Session is already paused
Usage Example
curl -X POST https://api.wappfy.com.br/api/sessions/my-session/stop
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/sessions/${session}/stop`, {
method: 'POST'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
response = requests.post(
f'https://api.wappfy.com.br/api/sessions/{session}/stop'
)
data = response.json()
print(data)
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Path Parameters
The session name (instanceName) you want to stop
